/*
 * @(#) Sure103.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure103
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure103 ()
    {}

    private static final String [] ayts =
    {
        "#103=Al-'Asr=La Tarde=Mecana=3",
        "1. \u00A1Por la tarde!",
        "2. En verdad, el hombre camina haciasu perdici\u00F3n,",
        "3. excepto quienes crean, obren bien,se recomienden mutuamente la verdad y se recomienden mutuamente la paciencia.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 103;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-'Asr";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Tarde";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 3;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "103: Al-'Asr";
    }

}//class end
