/*
 * @(#) Sure107.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure107
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure107 ()
    {}

    private static final String [] ayts =
    {
        "#107=Al-M\u00E1'\u00FAn=La Ayuda=Mecana=7",
        "1. \u00BFQu\u00E9 te parece el que desmiente elJuicio?",
        "2. Es el mismo que rechazaviolentamente al hu\u00E9rfano",
        "3. y no anima a dar de comer al pobre.",
        "4. \u00A1Ay de los que oran",
        "5. distra\u00EDdamente,",
        "6. para ser vistos",
        "7. y niegan la ayuda!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 107;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-M\u00E1'\u00FAn";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Ayuda";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 7;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "107: Al-M\u00E1'\u00FAn";
    }

}//class end
