/*
 * @(#) Sure108.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure108
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure108 ()
    {}

    private static final String [] ayts =
    {
        "#108=Al-Kawzar=La Abundancia=Mecana=3",
        "1. Te hemos dado la abundancia.",
        "2. Ora, pues, a tu Se\u00F1or y ofrecesacrificios.",
        "3. S\u00ED, es quien te odia el privado deposteridad.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 108;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Kawzar";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Abundancia";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 3;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "108: Al-Kawzar";
    }

}//class end
