/*
 * @(#) Sure111.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure111
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure111 ()
    {}

    private static final String [] ayts =
    {
        "#111=Al-Masad=Las Fibras=Mecana=5",
        "1. \u00A1Perezcan las manos de AbuLahab! \u00A1Perezca \u00E9l!",
        "2. Ni su hacienda ni sus adquisicionesle servir\u00E1n de nada.",
        "3. Arder\u00E1 en un fuego llameante,",
        "4. as\u00ED como su mujer, la acarreadorade le\u00F1a,",
        "5. a su cuello una cuerda de fibras.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 111;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Masad";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Las Fibras";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 5;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "111: Al-Masad";
    }

}//class end
