/*
 * @(#) Sure42.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure42
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure42 ()
    {}

    private static final String [] ayts =
    {
        "#42=Ach-Ch\u00FAra=La Consulta=Mecana=53",
        "1. H\u00E1-m\u00EDm.",
        "2. 'Ayn-s\u00EDn-q\u00E1f.",
        "3. As\u00ED es como Al\u00E1, el Poderoso, elSabio, hace una revelaci\u00F3n, a ti y a quienes fueron antes de ti.",
        "4. Suyo es lo que est\u00E1 en los cielos yen la tierra. \u00C9l es el Alt\u00EDsimo, el Grandioso.",
        "5. Casi se hienden los cielos all\u00ED arribaal celebrar los \u00E1ngeles las alabanzas de su Se\u00F1or y pedir Su perd\u00F3n en favor de los que est\u00E1n en la tierra. \u00BFNo es Al\u00E1 el Indulgente, el Misericordioso?",
        "6. A los que han tomado amigos enlugar de tomarle a \u00C9l, Al\u00E1 les vigila. T\u00FA no eres su protector.",
        "7. As\u00ED es como te revelamos un Cor\u00E1n\u00E1rabe, para que adviertas a la metr\u00F3poli y a los que viven en sus alrededores y para que prevengas contra el d\u00EDa indubitable de la Reuni\u00F3n. Unos estar\u00E1n en el Jard\u00EDn y otros en el fuego de la gehena.",
        "8. Al\u00E1, si hubiera querido, habr\u00EDahecho de ellos una sola comunidad. Pero introduce en Su misericordia a quien \u00C9l quiere. Los imp\u00EDos no tendr\u00E1n amigo ni auxiliar.",
        "9. \u00BFHan tomado amigos en lugar detomarle a \u00C9l? Pues Al\u00E1 es el Amigo. \u00C9l resucita a los muertos, es omnipotente.",
        "10. Al\u00E1 es Quien arbitra vuestrasdiscrepancias, cualesquiera que sean. Tal es Al\u00E1, mi Se\u00F1or. En \u00C9l conf\u00EDo y a \u00C9l me vuelvo arrepentido.",
        "11. Creador de los cielos y de la tierra.Os ha dado esposas salidas de vosotros y parejas salidas de vuestros reba\u00F1os, disemin\u00E1ndoos as\u00ED. No hay nada que se Le asemeje. \u00C9l es Quien todo lo oye, Quien todo lo ve.",
        "12. Suyas son las llaves de los cielosy de la tierra. Dispensa el sustento a quien \u00C9l quiere: a unos con largueza, a otros con mesura. Es omnisciente.",
        "13. Os ha prescrito en materia dereligi\u00F3n lo que ya hab\u00EDa ordenado a No\u00E9, lo que Nosotros te hemos revelado y lo que ya hab\u00EDamos ordenado a Abraham, a Mois\u00E9s y a Jes\u00FAs: \u00AB\u00A1Que rind\u00E1is culto y que esto no os sirva de motivo de divisi\u00F3n!\u00BB A los asociadores les resulta dif\u00EDcil aquello a que t\u00FA les llamas. Al\u00E1 elige para S\u00ED a quien \u00C9l quiere y dirige a \u00C9l a quien se arrepiente.",
        "14. No se dividieron, por rebeld\u00EDamutua, sino despu\u00E9s de haber recibido la Ciencia. Y, si no llega a ser por una palabra previa de tu Se\u00F1or, remitiendo a un t\u00E9rmino fijo, ya se habr\u00EDa decidido entre ellos. Quienes, despu\u00E9s, heredaron la Escritura dudan seriamente de ella.",
        "15. As\u00ED, pues, llama. Sigue la v\u00EDarecta, como se te ha ordenado, y no sigas sus pasiones. Y di: \u00ABCreo en toda Escritura que Al\u00E1 ha revelado. Se me ha ordenado que haga justicia entre vosotros. \u00A1Al\u00E1 es nuestro Se\u00F1or y Se\u00F1or vuestro! Nosotros responderemos de nuestros actos y vosotros de los vuestros. \u00A1Que no haya disputas entre nosotros y vosotros! Al\u00E1 nos reunir\u00E1... \u00A1Es \u00C9l el fin de todo!\u00BB",
        "16. Quienes disputan a prop\u00F3sito deAl\u00E1 despu\u00E9s de que se le ha escuchado, esgrimen un argumento sin valor para su Se\u00F1or. Incurren en ira y tendr\u00E1n un castigo severo.",
        "17. Al\u00E1 es quien ha hecho descenderla Escritura con la Verdad, y la Balanza. \u00BFQuien sabe? Quiz\u00E1 la Hora est\u00E9 pr\u00F3xima...",
        "18. Los que no creen en elladesear\u00EDan que se adelantara, mientras que los que creen tiemblan s\u00F3lo de pensar en ella y saben que es un hecho. Los que disputan sobre la Hora \u00BFno est\u00E1n profundamente extraviados?",
        "19. Al\u00E1 es bondadoso con Sussiervos. Provee a las necesidades de quien \u00C9l quiere. \u00C9l es el Fuerte, el Poderoso.",
        "20. A quien desee labrar el campo dela vida futura se lo acrecentaremos. A quien, en cambio, desee labrar el campo de la vida de ac\u00E1, le daremos de ella, pero no tendr\u00E1 ninguna parte en la otra vida.",
        "21. \u00BFTienen asociados que les hayanprescrito en materia de religi\u00F3n lo que Al\u00E1 no ha sancionado? Si no se hubiera ya pronunciado la sentencia decisiva, se habr\u00EDa decidido entre ellos. Los imp\u00EDos tendr\u00E1n un castigo doloroso.",
        "22. Ver\u00E1s a los imp\u00EDos temer por loque han merecido, que recaer\u00E1 en ellos, mientras que los que hayan cre\u00EDdo y obrado bien estar\u00E1n en los prados de los jardines y tendr\u00E1n junto a su Se\u00F1or lo que deseen. \u00A1\u00C9se es el gran favor!",
        "23. \u00C9sta es la buena nueva que Al\u00E1anuncia a Sus siervos, que creen y obran bien. Di: \u00ABYo no os pido salario a cambio, fuera de que am\u00E9is a los parientes\u00BB. A quien obre bien, le aumentaremos el valor de su obra. Al\u00E1 es indulgente, muy agradecido.",
        "24. O dir\u00E1n: \u00ABSe ha inventado unamentira contra Al\u00E1\u00BB. Al\u00E1 sellar\u00E1, si quiere, tu coraz\u00F3n. Pero Al\u00E1 disipa lo falso y hace triunfar la Verdad con Sus palabras. \u00C9l sabe bien lo que encierran los pechos.",
        "25. \u00C9l es Quien acepta elarrepentimiento de Sus siervos y perdona las malas acciones. Y sabe lo que hac\u00E9is.",
        "26. Escucha a quienes creen y obranbien y les da m\u00E1s de Su favor. Los infieles, en cambio, tendr\u00E1n un castigo severo.",
        "27. Si Al\u00E1 dispensara el sustento aSus siervos con largueza, se insolentar\u00EDan en la tierra. Lo que hace, en cambio, es concederles con mesura lo que quiere. Est\u00E1 bien informado sobre Sus siervos, les ve bien.",
        "28. \u00C9l es Quien env\u00EDa de lo alto lalluvia abundante, cuando ya han perdido toda esperanza, y difunde Su misericordia. \u00C9l es el Amigo, el Digno de Alabanza.",
        "29. Entre Sus signos figuran lacreaci\u00F3n de los cielos y de la tierra, los seres vivos que en ellos ha diseminado y que, cuando quiere, puede reunir.",
        "30. Cualquier desgracia que os ocurre,es como castigo a vuestras obras, pero perdona mucho.",
        "31. No pod\u00E9is escapar en la tierra y noten\u00E9is, fuera de Al\u00E1, amigo ni auxiliar.",
        "32. Entre sus signos figuran lasembarcaciones en el mar como mojones.",
        "33. Si quiere, calma el viento y seinmovilizan en su superficie. Ciertamente, hay en ello signos para todo aqu\u00E9l que tenga mucha paciencia, mucha gratitud.",
        "34. O bien les hace perecer, comocastigo por lo que han merecido, pero perdona mucho.",
        "35. Para que sepan quienes discutensobre Nuestros signos que no tendr\u00E1n escape.",
        "36. Todo lo que hab\u00E9is recibido esbreve disfrute de la vida de ac\u00E1. En cambio, lo que Al\u00E1 tiene es mejor y m\u00E1s duradero para quienes creen y conf\u00EDan en su Se\u00F1or,",
        "37. evitan cometer pecados graves ydeshonestidades y, cuando est\u00E1n airados, perdonan,",
        "38. escuchan a su Se\u00F1or, hacen laazal\u00E1, se consultan mutuamente, dan limosna de lo que les hemos prove\u00EDdo,",
        "39. se defienden cuando son v\u00EDctimasde opresi\u00F3n.",
        "40. Una mala acci\u00F3n ser\u00E1 retribuidacon una pena igual, pero quien perdone y se reconcilie recibir\u00E1 su recompensa de Al\u00E1. \u00C9l no ama a los imp\u00EDos.",
        "41. Quienes, tratados injustamente, sedefiendan, no incurrir\u00E1n en reproche.",
        "42. S\u00F3lo incurren en \u00E9l quienes soninjustos con los hombres y se insolentan en la tierra injustamente. Esos tales tendr\u00E1n un castigo doloroso.",
        "43. Quien es paciente y perdona, esos\u00ED que es dar muestras de resoluci\u00F3n.",
        "44. Aqu\u00E9l a quien Al\u00E1 extrav\u00EDa notendr\u00E1, despu\u00E9s de \u00C9l, ning\u00FAn amigo. Cuando los imp\u00EDos vean el castigo, les ver\u00E1s que dicen: \u00AB\u00BFY no hay modo de regresar?\u00BB",
        "45. Les ver\u00E1s expuestos a \u00E9l, abatidosde humillaci\u00F3n, mirando con disimulo, mientras que quienes hayan cre\u00EDdo dir\u00E1n: \u00ABQuienes de verdad pierden son los que el d\u00EDa de la Resurrecci\u00F3n se han perdido a s\u00ED mismos y han perdido a sus familias\u00BB. \u00BFNo tendr\u00E1n los imp\u00EDos un castigo permanente?",
        "46. Fuera de Al\u00E1, no tendr\u00E1n ningunosamigos que les auxilien... Aqu\u00E9l a quien Al\u00E1 extrav\u00EDa no podr\u00E1 dar con camino.",
        "47. Escuchad a vuestro Se\u00F1or antesde que llegue un d\u00EDa que Al\u00E1 no evitar\u00E1. Ese d\u00EDa no encontrar\u00E9is refugio, ni podr\u00E9is negar.",
        "48. Si se apartan, no te hemosmandado para ser su custodio, sino s\u00F3lo para transmitir. Cuando hacemos gustar al hombre una misericordia venida de Nosotros, se regocija. Pero, si le sucede un mal como castigo a sus obras, entonces, el hombre es desagradecido.",
        "49. El dominio de los cielos y de latierra pertenece a Al\u00E1. Crea lo que quiere. Regala hijas a quien \u00C9l quiere y regala hijos a quien \u00C9l quiere,",
        "50. o bien les da ambos, varones yhembras, o hace impotente a quien \u00C9l quiere. Es omnisciente, omnipotente.",
        "51. A ning\u00FAn mortal le es dado queAl\u00E1 le hable si no es por inspiraci\u00F3n, o desde detr\u00E1s de una cortina, o mand\u00E1ndole un enviado que le inspire, con Su autorizaci\u00F3n, lo que \u00C9l quiere. Es alt\u00EDsimo, sabio.",
        "52. As\u00ED es como te hemos inspiradoun Esp\u00EDritu que procede de Nuestra orden. T\u00FA no sab\u00EDas lo que eran la Escritura y la Fe, pero hemos hecho de \u00E9l luz con la que guiamos a quienes queremos de Nuestros siervos. Ciertamente, t\u00FA gu\u00EDas a los hombres a una v\u00EDa recta,",
        "53. la v\u00EDa de Al\u00E1, a quien pertenece loque est\u00E1 en los cielos y en la tierra. \u00BFNo es Al\u00E1 el fin de todo?",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 42;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Ach-Ch\u00FAra";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Consulta";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 53;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "42: Ach-Ch\u00FAra";
    }

}//class end
