/*
 * @(#) Sure65.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure65
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure65 ()
    {}

    private static final String [] ayts =
    {
        "#65=At-Tal\u00E1q=El Repudio=Medinesa=12",
        "1. \u00A1Profeta! Cuando repudi\u00E1is a lasmujeres, \u00A1hacedlo al terminar su per\u00EDodo de espera! \u00A1Contad bien los d\u00EDas de ese per\u00EDodo y temed a Al\u00E1, vuestro Se\u00F1or! \u00A1No las expuls\u00E9is de sus casas ni ellas salgan, a menos que sean culpables de deshonestidad manifiesta! \u00C9sas son las leyes de Al\u00E1. Y quien viola las leyes de Al\u00E1 es injusto consigo mismo. T\u00FA no sabes... Quiz\u00E1 Al\u00E1, entre tanto, suscite alg\u00FAn imprevisto...",
        "2. Cuando lleguen a su t\u00E9rmino,retenedlas decorosamente o separaos de ellas decorosamente. Y requerid el testimonio de dos personas justas de los vuestros y atestiguad ante Al\u00E1. A esto se exhorta a quien cree en Al\u00E1 y en el \u00FAltimo D\u00EDa. A quien teme a Al\u00E1, \u00C9l le da una salida",
        "3. y le provee de un modoinsospechado por \u00E9l. A quien conf\u00EDa en Al\u00E1, \u00C9l le basta. Al\u00E1 consigue lo que se propone. Al\u00E1 ha establecido una medida para cada cosa.",
        "4. Para aqu\u00E9llas de vuestras mujeresque ya no esperan tener la menstruaci\u00F3n, si ten\u00E9is dudas, su per\u00EDodo de espera ser\u00E1 de tres meses; lo mismo para las imp\u00FAberes. Para las embarazadas, su per\u00EDodo de espera terminar\u00E1 cuando den a luz. A quien teme a Al\u00E1, \u00C9l le facilita sus cosas.",
        "5. \u00C9sta es la orden que Al\u00E1 os harevelado. Al\u00E1 borra las malas obras de quien Le teme y le da una magn\u00EDfica recompensa.",
        "6. \u00A1Alojadlas, seg\u00FAn vuestros medios,en vuestra misma vivienda! \u00A1No les hag\u00E1is da\u00F1o con \u00E1nimo de molestarlas! Si est\u00E1n embarazadas, proveedles de lo necesario hasta que den a luz. Si la criatura que cr\u00EDan es vuestra, retribuidles como es debido y llegad a un acuerdo decoroso. Si encontr\u00E1is alguna dificultad, entonces, tomad un ama a cuenta vuestra.",
        "7. \u00A1Que el acomodado gaste seg\u00FAnsus medios! Quien disponga de medios limitados \u00A1que gaste seg\u00FAn lo que Al\u00E1 le haya dado! Al\u00E1 no pide a nadie sino lo que le ha dado. Al\u00E1 har\u00E1 que a la adversidad suceda la felicidad.",
        "8. \u00A1A cu\u00E1ntas ciudades, quedesde\u00F1aron la orden de su Se\u00F1or y de Sus enviados, pedimos cuenta rigurosa e infligimos un castigo horroroso!",
        "9. Gustaron la gravedad de suconducta, que acab\u00F3 por perderles.",
        "10. Al\u00E1 ha preparado para ellos uncastigo severo. \u00A1Temed, pues, a Al\u00E1, creyentes dotados de intelecto! Al\u00E1 os ha enviado de lo alto una Amonestaci\u00F3n,",
        "11. un Enviado que os recita aleyasaclaratorias de Al\u00E1, para sacar de las tinieblas a la luz a quienes creen y obran bien. A quien cree en Al\u00E1 y obra bien, \u00C9l le introducir\u00E1 en jardines por cuyos bajos fluyen arroyos, en los que estar\u00E1n eternamente, para siempre. Al\u00E1 le ha reservado un bello sustento.",
        "12. Al\u00E1 es Quien ha creado sietecielos y otras tantas tierras. La orden desciende gradualmente entre ellos para que sep\u00E1is? que Al\u00E1 es omnipotente y que Al\u00E1 todo lo abarca en Su ciencia.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 65;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "At-Tal\u00E1q";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Repudio";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 12;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "65: At-Tal\u00E1q";
    }

}//class end
