/*
 * @(#) Sure72.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure72
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure72 ()
    {}

    private static final String [] ayts =
    {
        "#72=Al-Yinn=Los Genios=Mecana=28",
        "1. Di: \u00ABSe me ha revelado que ungrupo de genios estaba escuchando y dec\u00EDa: 'Hemos o\u00EDdo una Recitaci\u00F3n maravillosa,",
        "2. que conduce a la v\u00EDa recta. Hemoscre\u00EDdo en ella y no asociaremos nadie a nuestro Se\u00F1or'.",
        "3. Y: 'Nuestro Se\u00F1or -\u00A1exaltada sea Sugrandeza!- no ha tomado compa\u00F1era ni hijo'",
        "4. Y: 'Nuestro loco dec\u00EDa contra Al\u00E1una solemne mentira'.",
        "5. Y: 'Nosotros cre\u00EDamos que ni loshumanos ni los genios iban a proferir mentira contra Al\u00E1'.",
        "6. Y: 'Hab\u00EDa humanos varones que serefugiaban en los genios varones y \u00E9stos enloquecieron m\u00E1s a aqu\u00E9llos'.",
        "7. Y: 'Cre\u00EDan ellos, como vosotros, queAl\u00E1 no iba a enviar a nadie'.",
        "8. Y: 'Hemos palpado el cielo y lohemos encontrado lleno de guardianes severos y de centellas'.",
        "9. Y: 'Nos sent\u00E1bamos all\u00ED, en sitiosapropiados para o\u00EDr. Pero todo aqu\u00E9l que escucha, al punto encuentra una centella que le acecha'.",
        "10. Y: 'No sabemos si se quiere mal alos que est\u00E1n en la tierra o si su Se\u00F1or quiere dirigirles bien'.",
        "11. Y: 'Entre nosotros hay unos queson justos y otros que no. Seguimos doctrinas diferentes'.",
        "12. Y: 'Cre\u00EDamos que no podr\u00EDamosescapar a Al\u00E1 en la tierra, ni aun huyendo'.",
        "13. Y: 'Cuando o\u00EDmos la Direcci\u00F3n,cre\u00EDmos en ella. Quien cree en su Se\u00F1or no teme da\u00F1o ni injuria'.",
        "14. Y: 'Entre nosotros los hay que sesometen a Al\u00E1 y los hay que se apartan. Los que se someten a Al\u00E1 han elegido la rectitud.",
        "15. Los que se apartan, en cambio,son le\u00F1a para la gehena'.",
        "16. Y: 'Si se hubieran mantenido en lav\u00EDa recta, les habr\u00EDamos dado de beber agua abundante",
        "17. para probarles. A quien se desv\u00EDede la Amonestaci\u00F3n de su Se\u00F1or, \u00C9l le conducir\u00E1 a un duro castigo'.",
        "18. Y: 'Los lugares de culto son deAl\u00E1. \u00A1No invoqu\u00E9is a nadie junto con Al\u00E1!'",
        "19. Y: 'Cuando el siervo de Al\u00E1 selevant\u00F3 para invocarle, poco les falt\u00F3 para, en masa, arremeter contra \u00E9l'\u00BB.",
        "20. Di: \u00ABInvoco s\u00F3lo a mi Se\u00F1or y noLe asocio nadie\u00BB.",
        "21. Di: \u00ABNo puedo da\u00F1aros nidirigiros\u00BB.",
        "22. Di: \u00ABNadie me proteger\u00E1 de Al\u00E1 yno encontrar\u00E9 asilo fuera de \u00C9l.",
        "23. S\u00F3lo un comunicado de Al\u00E1 y Susmensajes\u00BB. A quien desobedezca a Al\u00E1 y a Su Enviado le espera el fuego de la gehena, en el que estar\u00E1 eternamente, para siempre.",
        "24. Hasta que, cuando vean aquellocon que se les ha amenazado, sabr\u00E1n qui\u00E9n es el que recibe auxilio m\u00E1s d\u00E9bil y qui\u00E9n es num\u00E9ricamente inferior.",
        "25. Di: \u00ABNo s\u00E9 si est\u00E1 cerca aquellocon que se os ha amenazado o si mi Se\u00F1or lo retardar\u00E1 a\u00FAn.",
        "26. El Conocedor de lo oculto. Nodescubre a nadie lo que tiene oculto,",
        "27. salvo a aqu\u00E9l a quien acepta comoenviado. Entonces, hace que le observen por delante y por detr\u00E1s,",
        "28. para saber si han transmitido losmensajes de su Se\u00F1or. Abarca todo lo concerniente a ellos y lleva cuenta exacta de todo\u00BB",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 72;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Yinn";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los Genios";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 28;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "72: Al-Yinn";
    }

}//class end
