/*
 * @(#) Sure78.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure78
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure78 ()
    {}

    private static final String [] ayts =
    {
        "#78=An-Naba'=La Noticia=Mecana=40",
        "1. \u00BFPor qu\u00E9 cosa se preguntan unos aotros?",
        "2. Por la enorme Noticia,",
        "3. acerca de la cual discrepan.",
        "4. \u00A1No! \u00A1Ya ver\u00E1n...!",
        "5. \u00A1No y no! \u00A1Ya ver\u00E1n...!",
        "6. \u00BFNo hemos hecho de la tierra lecho",
        "7. y de las monta\u00F1as estacas?",
        "8. Y os hemos creado por parejas,",
        "9. hecho de vuestro sue\u00F1o descanso,",
        "10. de la noche vestidura,",
        "11. del d\u00EDa medio de subsistencia.",
        "12. Y hemos edificado encima devosotros siete cielos firmes,",
        "13. y colocado una l\u00E1mpararesplandeciente.",
        "14. Y hemos hecho bajar de las nubesun agua abundante",
        "15. para, mediante ella, sacar grano,plantas",
        "16. y frondosos jardines.",
        "17. El d\u00EDa del Fallo est\u00E1 ya se\u00F1alado.",
        "18. D\u00EDa en que se tocar\u00E1 la trompeta yacudir\u00E9is en masa.",
        "19. El cielo se abrir\u00E1, todo puertas;",
        "20. las monta\u00F1as, puestas en marcha,ser\u00E1n espejismo.",
        "21. La gehena, al acecho,",
        "22. ser\u00E1 refugio de los rebeldes,",
        "23. que permanecer\u00E1n en ella durantegeneraciones,",
        "24. sin probar frescor ni bebida,",
        "25. fuera de agua muy caliente yhediondo l\u00EDquido,",
        "26. retribuci\u00F3n adecuada.",
        "27. No contaban con el ajuste decuentas",
        "28. y desmintieron descaradamenteNuestros signos,",
        "29. siendo as\u00ED que hab\u00EDamosconsignado todo en una Escritura.",
        "30. \u00AB\u00A1Gustad, pues! \u00A1No haremos sinoaumentaros el castigo!\u00BB",
        "31. En cambio, a los temerosos de Al\u00E1se les deparar\u00E1 el \u00E9xito:",
        "32. vergeles y vi\u00F1edos,",
        "33. de t\u00FArgidos senos, de una mismaedad,",
        "34. copa desbordante.",
        "35. No oir\u00E1n all\u00ED vaniloquio, nifalsedad.",
        "36. Es una retribuci\u00F3n de tu Se\u00F1or,regalo bien pensado",
        "37. del Se\u00F1or de los cielos, de la tierray de lo que entre ellos est\u00E1, del Compasivo, a Quien no podr\u00E1n dirigir la palabra.",
        "38. D\u00EDa en que el Esp\u00EDritu y los\u00E1ngeles estar\u00E1n de pie, en fila, sin hablar, excepto aqu\u00E9l a quien el Compasivo se lo permita y diga algo oportuno.",
        "39. Ese ser\u00E1 el d\u00EDa de la Verdad. Elque quiera, encontrar\u00E1 refugio junto a su Se\u00F1or.",
        "40. Os hemos prevenido contra uncastigo cercano, el d\u00EDa que el hombre medite en sus obras pasadas y diga el infiel: \u00AB\u00A1Ojal\u00E1 fuera yo tierra!\u00BB",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 78;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "An-Naba'";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La Noticia";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 40;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "78: An-Naba'";
    }

}//class end
