/*
 * @(#) Sure81.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure81
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure81 ()
    {}

    private static final String [] ayts =
    {
        "#81=At-Takw\u00EDr=El Obscurecimiento=Mecana=29",
        "1. Cuando el sol sea obscurecido,",
        "2. cuando las estrellas pierdan subrillo,",
        "3. cuando las monta\u00F1as sean puestasen marcha,",
        "4. cuando las camellas pre\u00F1adas dediez meses sean descuidadas,",
        "5. cuando las bestias salvajes seanagrupadas,",
        "6. cuando los mares sean hinchados,",
        "7. cuando las almas sean apareadas,",
        "8. cuando se pregunte a la ni\u00F1aenterrada viva",
        "9. qu\u00E9 crimen cometi\u00F3 para que lamataran,",
        "10. cuando las hojas seandesplegadas,",
        "11. cuando el cielo sea desollado,",
        "12. cuando el fuego de la gehena seaavivado,",
        "13. cuando el Jard\u00EDn sea acercado,",
        "14. cada cual sabr\u00E1 lo que presenta.",
        "15. \u00A1Pues no! \u00A1Juro por los planetas,",
        "16. que pasan y desaparecen!",
        "17. \u00A1Por la noche cuando se extiende!",
        "18. \u00A1Por la ma\u00F1ana cuando respira!",
        "19. S\u00ED, es la palabra de un Enviadonoble,",
        "20. que dispone de poder junto alSe\u00F1or del Trono, firme,",
        "21. obedecido all\u00ED, de confianza.",
        "22. \u00A1Vuestro paisano no es un poseso!",
        "23. Le ha visto en el claro horizonte,",
        "24. no es avaro de lo oculto.",
        "25. No es la palabra de un demoniomaldito.",
        "26. \u00BFAd\u00F3nde ir\u00E9is, pues?",
        "27. No es sino una amonestaci\u00F3ndirigida a todo el mundo,",
        "28. para aqu\u00E9llos de vosotros quequieran seguir la v\u00EDa recta.",
        "29. Pero vosotros no lo querr\u00E9is, amenos que quiera Al\u00E1, Se\u00F1or del universo.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 81;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "At-Takw\u00EDr";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Obscurecimiento";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 29;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "81: At-Takw\u00EDr";
    }

}//class end
