/*
 * @(#) Sure83.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure83
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure83 ()
    {}

    private static final String [] ayts =
    {
        "#83=Al-Mutaffif\u00EDn=Los Defraudadores=Mecana=36",
        "1. \u00A1Ay de los defraudadores,",
        "2. que, cuando piden a otros lamedida, la exigen exacta,",
        "3. pero que, cuando ellos miden opesan para otros, dan menos de lo debido!",
        "4. \u00BFNo cuentan con ser resucitados",
        "5. un d\u00EDa terrible,",
        "6. el d\u00EDa que comparezcan loshombres ante el Se\u00F1or del universo?",
        "7. \u00A1No! La Escritura de los pecadoresest\u00E1, ciertamente, en Sichch\u00EDn.",
        "8. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es Sichch\u00EDn?",
        "9. Es una Escritura marcada.",
        "10. Ese d\u00EDa, \u00A1ay de los desmentidores,",
        "11. que desmienten el d\u00EDa del Juicio!",
        "12. Y no lo desmiente sino todoviolador de la ley, pecador,",
        "13. que, al serle recitadas Nuestrasaleyas, dice: \u00AB\u00A1Patra\u00F1as de los antiguos!\u00BB",
        "14. Pero \u00A1no! Lo que han cometido hacubierto de herrumbre sus corazones.",
        "15. \u00A1No! Ese d\u00EDa ser\u00E1n separados desu Se\u00F1or por un velo.",
        "16. Luego, arder\u00E1n, s\u00ED, en el fuego dela gehena.",
        "17. Luego, se dir\u00E1: \u00AB\u00A1He aqu\u00ED lo quedesment\u00EDais!\u00BB",
        "18. \u00A1No! La Escritura de los justosest\u00E1, ciertamente, en Illiyyun.",
        "19. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es Illiyyun?",
        "20. Es una Escritura marcada,",
        "21. que ver\u00E1n con sus propios ojos losallegados.",
        "22. S\u00ED, los justos estar\u00E1n en delicia,",
        "23. en sof\u00E1s, observando...",
        "24. Se reconocer\u00E1 en sus rostros elbrillo de la delicia.",
        "25. Se les dar\u00E1 de beber un vinogeneroso y sellado,",
        "26. con un dejo de almizcle -\u00A1que locodicien los codiciosos!-,",
        "27. mezclado con agua de Tasnim,",
        "28. fuente de la que beber\u00E1n losallegados.",
        "29. Los pecadores se re\u00EDan de loscreyentes.",
        "30. Cuando pasaban junto a ellos, segui\u00F1aban el ojo,",
        "31. cuando regresaban a los suyos,regresaban burl\u00E1ndose,",
        "32. cuando les ve\u00EDan, dec\u00EDan: \u00AB\u00A1S\u00ED,est\u00E1n extraviados!\u00BB",
        "33. Pero no han sido enviados paravelar por ellos.",
        "34. Ese d\u00EDa, los creyentes se reir\u00E1n delos infieles,",
        "35. en sof\u00E1s, observando...",
        "36. \u00BFNo han sido retribuidos losinfieles seg\u00FAn sus obras?",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 83;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Mutaffif\u00EDn";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los Defraudadores";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 36;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "83: Al-Mutaffif\u00EDn";
    }

}//class end
