/*
 * @(#) Sure95.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure95
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure95 ()
    {}

    private static final String [] ayts =
    {
        "#95=At-T\u00EDn=Las Higueras=Mecana=8",
        "1. \u00A1Por las higueras y los olivos!",
        "2. \u00A1Por el monte Sina\u00ED!",
        "3. \u00A1Por esta ciudad segura!",
        "4. Hemos creado al hombre d\u00E1ndole lamejor complexi\u00F3n.",
        "5. Luego, hemos hecho de \u00E9l el m\u00E1sabyecto,",
        "6. excepto quienes crean y obrenbien, que recibir\u00E1n una recompensa ininterrumpida.",
        "7. \u00BFC\u00F3mo puede a\u00FAn desmentirse elJuicio?",
        "8. \u00BFNo es Al\u00E1 quien mejor decide?",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 95;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "At-T\u00EDn";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Las Higueras";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 8;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "95: At-T\u00EDn";
    }

}//class end
