/*
 * @(#) Total.java    Paz 08 Kas 2009 13:26:01 CET
 *
 * Murat iNAN, muratsivas76@gmail.com
 */
package net.dilmerkezi.sures;

import java.awt.*;

import java.io.*;

import javax.swing.*;
import javax.swing.text.*;


/**
 * Total info
 *
 * @author Murat iNAN, http://www.dilmerkezi.net
 */
public class Total
     extends Object
  implements java.io.Serializable
{

    /** Atr set 1*/
    private final SimpleAttributeSet stm1 = new SimpleAttributeSet ();
    
    /** Atr set 2*/
    private final SimpleAttributeSet stm2 = new SimpleAttributeSet ();
    
    /** Atr set 3*/
    private final SimpleAttributeSet stm3 = new SimpleAttributeSet ();
    
    /** Class instance*/
    private static final Total total = new Total ();
    
    /** Basmalah*/
    private static final String BASMALAH = 
      "Bismill\u00E1hir-rahm\u00E1nir-rah\u00EDm\nCon el nombre de AL\u00C1, el Rahm\u00E1n, el Rah\u00EDm!\n";


    /** Constructor*/
    private Total ()
    {
        StyleConstants.setForeground (stm1, Color.red);
	StyleConstants.setBold (stm1, true);
	StyleConstants.setFontFamily (stm1, "Dialog");
	StyleConstants.setFontSize (stm1, 16);
	
	StyleConstants.setForeground (stm2, Color.blue);
	StyleConstants.setItalic (stm2, true);
	StyleConstants.setBold (stm2, true);
	StyleConstants.setFontFamily (stm2, "Dialog");
	StyleConstants.setFontSize (stm2, 16);
	
	StyleConstants.setForeground (stm3, Color.blue);
	StyleConstants.setBackground (stm3, Color.yellow);
	StyleConstants.setBold (stm3, true);
	StyleConstants.setFontFamily (stm3, "Serif");
	StyleConstants.setFontSize (stm3, 24);
    }
    
    /** @return Single Class instance*/
    public static final Total getTotal ()
    {
        return total;
    }
    
    /** All sures*/
    private static final Sure sures [] =
    {
        new Sure1 (),
	new Sure2 (),
	new Sure3 (),
	new Sure4 (),
	new Sure5 (),
	new Sure6 (),
	new Sure7 (),
	new Sure8 (),
	new Sure9 (),
	new Sure10 (),
	new Sure11 (),
	new Sure12 (),
	new Sure13 (),
	new Sure14 (),
	new Sure15 (),
	new Sure16 (),
	new Sure17 (),
	new Sure18 (),
	new Sure19 (),
	new Sure20 (),
        new Sure21 (),
	new Sure22 (),
	new Sure23 (),
	new Sure24 (),
	new Sure25 (),
	new Sure26 (),
	new Sure27 (),
	new Sure28 (),
	new Sure29 (),
	new Sure30 (),
	new Sure31 (),
	new Sure32 (),
	new Sure33 (),
	new Sure34 (),
	new Sure35 (),
	new Sure36 (),
	new Sure37 (),
	new Sure38 (),
	new Sure39 (),
	new Sure40 (),
        new Sure41 (),
	new Sure42 (),
	new Sure43 (),
	new Sure44 (),
	new Sure45 (),
	new Sure46 (),
	new Sure47 (),
	new Sure48 (),
	new Sure49 (),
	new Sure50 (),
	new Sure51 (),
	new Sure52 (),
	new Sure53 (),
	new Sure54 (),
	new Sure55 (),
	new Sure56 (),
	new Sure57 (),
	new Sure58 (),
	new Sure59 (),
	new Sure60 (),
        new Sure61 (),
	new Sure62 (),
	new Sure63 (),
	new Sure64 (),
	new Sure65 (),
	new Sure66 (),
	new Sure67 (),
	new Sure68 (),
	new Sure69 (),
	new Sure70 (),
	new Sure71 (),
	new Sure72 (),
	new Sure73 (),
	new Sure74 (),
	new Sure75 (),
	new Sure76 (),
	new Sure77 (),
	new Sure78 (),
	new Sure79 (),
	new Sure80 (),
        new Sure81 (),
	new Sure82 (),
	new Sure83 (),
	new Sure84 (),
	new Sure85 (),
	new Sure86 (),
	new Sure87 (),
	new Sure88 (),
	new Sure89 (),
	new Sure90 (),
	new Sure91 (),
	new Sure92 (),
	new Sure93 (),
	new Sure94 (),
	new Sure95 (),
	new Sure96 (),
	new Sure97 (),
	new Sure98 (),
	new Sure99 (),
	new Sure100 (),
        new Sure101 (),
	new Sure102 (),
	new Sure103 (),
	new Sure104 (),
	new Sure105 (),
	new Sure106 (),
	new Sure107 (),
	new Sure108 (),
	new Sure109 (),
	new Sure110 (),
	new Sure111 (),
	new Sure112 (),
	new Sure113 (),
	new Sure114 ()
    };
    
    /** @return Sures*/
    public final Sure [] getSures ()
    {
        return sures;
    }
    
    /** @return Fatiha Sure*/
    public final Sure getPrimerSure ()
    {
        return sures [0x0000];
    }
    
    /** @return Simple Attribute Set 1*/
    public final SimpleAttributeSet getStm1()
    {
        return stm1;
    }    
    
    /** @return Simple Attribute Set 2*/
    public final SimpleAttributeSet getStm2()
    {
        return stm2;
    }
    
    /** @return Simple Attribute Set 3*/
    public final SimpleAttributeSet getStm3()
    {
        return stm3;
    }    
    
    /** Stop flag*/
    private boolean stopped = false;
    
    /** @param stp New stop flag value*/
    public void setStop (boolean stp)
    {
        this.stopped = stp;
	return;
    }
    
    /** @return Stop flag*/
    public boolean getStop ()
    {
        return stopped;
    }
    
    /** 
     * Generate num sure, for example sura14.txt
     * @param num Sure num
     * @return If ok true, otherwise false
     */
    public final boolean generateUno (int num, JLabel label)
    {
        if (num < 1 || num > 114) return false;
	
	String nm = ((sures [num-1]).getEspanolName ())+(".txt");
	
        File f = new File (nm);
	OutputStream fos = null;
	OutputStream bos = null;
	PrintStream ps = null;
	
	try
	{
	    label.setText ("");
	    fos = new FileOutputStream (f);
	    bos = new BufferedOutputStream (fos);
	    ps = new PrintStream (bos, true);
	}
	catch (Exception e)
	{
	    e.printStackTrace ();
	    f.delete ();
	    return false;
	}
	
	try
	{
	    Sure sr = sures [num-1];
	    String [] ayetes = sr.getAyetes ();
	    final int len = ayetes.length;
	    StringBuffer sb = new StringBuffer ();
	    sb.append (finfo (sr)+"\r\n");
	    sb.append ("\n====================================\r\n");
	    sb.append (BASMALAH+"\r");
	    sb.append ("\n====================================\r\n");
	    for (int i=1; i<len; i++)
	    {
	        sb.append (ayetes [i]);
		sb.append ("\r\n");
	    }
	    
	    ps.print (sb.toString ());
	    label.setText (f.getName ()+" esta listo.");
	    sb = null;
	}
	catch (Exception e)
	{
	    label.setText ("Error: "+e+"");
	    e.printStackTrace ();
	}
	
	try
	{
	    if (ps != null)
	    { 
	        ps.flush ();
		ps.close ();
	    }
	    
	    if (bos != null)
	    {
	        bos.flush ();
		bos.close ();
	    }
	    
	    if (fos != null)
	    {
	        fos.flush ();
		fos.close ();
	    }
	}
	catch (Exception e)
	{
	     e.printStackTrace ();
	}
        
	return true;
    }
    
    /** Generate Coran.txt*/
    public final void generateAll (JLabel label)
    {
        File f = new File ("Coran.txt");
	OutputStream fos = null;
	OutputStream bos = null;
	PrintStream ps = null;
	
	try
	{
	    fos = new FileOutputStream (f);
	    bos = new BufferedOutputStream (fos);
	    ps = new PrintStream (bos, true);
	}
	catch (Exception e)
	{
	    e.printStackTrace ();
	    return;
	}
	
	try
	{
	    for (int i=0; i<114; i++)
	    {
	        label.setText ("");
	        Sure sr = sures [i];
	        String [] ayetes = sr.getAyetes ();
	        final int len = ayetes.length;
	        StringBuffer sb = new StringBuffer ();
	        sb.append ("\n====================================\r\n");
		sb.append (finfo (sr)+"\r\n");
	        sb.append (BASMALAH+"\r");
	        sb.append ("\n====================================\r\n");
	        for (int j=1; j<len; j++)
	        {
	            sb.append (ayetes [j]);
		    sb.append ("\r\n");
	        }
	        
		sb.append ("#############################\r\n");
	        ps.print (sb.toString ());
	        label.setText (""+(i+1)+" ha sido escribio.");
	        sb = null;
	    };//for 1
	    label.setText ("Coran.txt ha sido escribido.");
	}
	catch (Exception e)
	{
	    e.printStackTrace ();
	}	
	
	try
	{
	    if (ps != null)
	    { 
	        ps.flush ();
		ps.close ();
	    }
	    
	    if (bos != null)
	    {
	        bos.flush ();
		bos.close ();
	    }
	    
	    if (fos != null)
	    {
	        fos.flush ();
		fos.close ();
	    }
	}
	catch (Exception e)
	{
	     e.printStackTrace ();
	}    
    }
    
    /**
     * @param sure Get the info of this sure
     * @return Sure info
     */
    private final String finfo (Sure sure)
    {
        StringBuffer sb = new StringBuffer ();
	sb.append (""+sure.getSureNo ());
	sb.append ("; ");
	sb.append (sure.getArabeName ());
	sb.append ("; ");
	sb.append (" [");
	sb.append (sure.getEspanolName ());
	sb.append ("]; ");
	sb.append (sure.getPalace ());
	sb.append ("/");
	sb.append (""+sure.getAyetCount ());
	sb.append (" aleyas");
	return sb.toString ();
    }
    
    /**
     * @param tp JTextPane object
     * @param doc Text will be inserted here
     */
    public final void writeAll (JTextPane tp, javax.swing.text.Document doc)
    {
        stopped = false;
	
	StringBuffer sb = new StringBuffer ();
	String [] ayetes = null;
	int slen = 0, k=0, j=0, i=0;
	Sure temp = null;
	
	try
	{
	    doc.remove (0x0000, doc.getLength ());
	}
	catch (Exception e)
	{}
	
	for (i=0; i<114; i++)
	{
	    if (stopped) return;
	    temp = sures [i];
	    ayetes = temp.getAyetes ();
	    k = ayetes.length;
	    sb = new StringBuffer ();
	    for (j=1; j<k; j++)
	    {
	        if (stopped) return;
		sb.append (ayetes [j]);
		sb.append ("\n");
	    }
	    try
	    {
	        doc.insertString (doc.getLength (), 
		  finfo (temp)+"\n==================================\n", 
		  stm1);
		doc.insertString (doc.getLength (), BASMALAH+"\n", stm2);
	        doc.insertString (doc.getLength (), sb.toString (), stm2);
	    }
	    catch (Exception e)
	    {}
	}
	
	try { tp.setCaretPosition (doc.getLength ()); }
	catch (Exception e) {}
	
	stopped = false;
	return;
    }
    
    /**
     * @param tp JTextPane object
     * @param sr Sure for writing it into doc
     * @param doc Text will be inserted here
     */
    public final void writeSure (JTextPane tp, Sure sr, javax.swing.text.Document doc)
    {
        stopped = false;
	
	StringBuffer sb = new StringBuffer ();
	String [] ayetes = null;
	int slen = 0, k=0, j=0/*, i=0*/;
	Sure temp = null;
	
//	for (i=0; i<114; i++)
//	{
	    if (stopped) return;
	    temp = sr;
	    ayetes = temp.getAyetes ();
	    k = ayetes.length;
	    sb = new StringBuffer ();
	    for (j=1; j<k; j++)
	    {
	        if (stopped) return;
		sb.append (ayetes [j]);
		sb.append ("\n");
	    }
	    try
	    {
	        doc.insertString (doc.getLength (), 
		  finfo (temp)+"\n==================================\n", 
		  stm1);
		doc.insertString (doc.getLength (), BASMALAH+"\n", stm2);
	        doc.insertString (doc.getLength (), sb.toString (), stm2);
		tp.setCaretPosition (doc.getLength ());
	    }
	    catch (Exception e)
	    {}
//	}
	
	stopped = false;
	return;
    }    
    
    /** 
     * Prints sure general infos into doc
     *
     * @param tp JTextPane object
     * @param doc Text will be inserted here
     */
    public final void info (JTextPane tp, javax.swing.text.Document doc)
    {
        stopped = true;
	
	StringBuffer sb = new StringBuffer ();
	for (int i=0; i<114; i++)
	{
	    sb.append (finfo (sures [i]));
	    sb.append ("\n");
	}
	
	try
	{
	    doc.remove (0, doc.getLength ());
	    doc.insertString (doc.getLength (), sb.toString (), stm2);
	    tp.setCaretPosition (doc.getLength ());
	    sb=null;
	}
	catch (Exception e)
	{}
    }
    
    /**
     * @param regex Find syntax (78:2 etc)
     * @param doc Insert info to this doc
     * @param konsol Is it only a konsol program?
     * @return If ok true, otherwise false
     */
    public boolean printAyet (String regex, 
        javax.swing.text.Document doc,
	boolean konsol)
    {
        int index = regex.lastIndexOf (":");
	if (index < 0) return false;
	String a1 = regex.substring (0, index);
	String a2 = regex.substring (index+1);
	
	try
	{
	    int a = Integer.parseInt (a1);
	    int b = Integer.parseInt (a2);
	    
	    if (a < 1 || a > 114) return false;
	    
	    Sure sr = sures [a-1];
	    if (b < 1 || b > sr.getAyetCount ()) return false;
	    String ayeta = (sr.getAyetes ()) [b];
	    
	    StringBuffer sb = new StringBuffer ();
	    sb.append (sr.getArabeName ());
	    sb.append (" [");
	    sb.append (sr.getEspanolName ());
	    sb.append ("] --> ");
	    sb.append (regex);
	    sb.append ("; ");
	    sb.append (sr.getPalace ());
	    sb.append ("/");
	    sb.append (Integer.toString (sr.getAyetCount ()));
	    sb.append (" ayets\n");
	    
	    if (konsol)
	    {
	        System.out.println (sb.toString ());
	    }
	    else
	    {
	        try
		{ 
		    doc.remove (0, doc.getLength ());
		    doc.insertString (doc.getLength (),
		        sb.toString (), stm1);
		}
		catch (Exception e)
		{}
	    }
	    
	    if (konsol)
	    {
	        System.out.println (ayeta);
	    }
	    else
	    {
	        try
		{ 
		    //doc.remove (0, doc.getLength ());
		    doc.insertString (doc.getLength (),
		        ayeta, stm2);
		}
		catch (Exception e)
		{}
	    }
	}
	catch (Exception e)
	{
	    e.printStackTrace ();
	    return false;
	}
	
	return true;
    }
    
    /** 
     * @param tp JTextPane object
     * @param find Search this word
     * @param doc Insert results in this doc
     * @param konsol Is it only console program?
     */
    public void search (
                        JTextPane tp,
                        String find, 
                        javax.swing.text.Document doc, 
			boolean konsol)
    {
	stopped = false;
	String fndx = find.toLowerCase ();
	
	Sure temp = null;
	String [] ayets = null;
	String sayet = "";
	int i = 0;
	int k = 0;
	int j = 0;
	StringBuffer sb = null;
	
	try
	{
	    doc.remove (0x0000, doc.getLength ());
	}
	catch (Exception e)
	{}
	
	
	for (i=0; i<114; i++)
	{
	    if (stopped) return;
	    temp = sures [i];
	    
	    ayets = temp.getAyetes ();
	    k = ayets.length;
	    for (j=1; j<k; j++)
	    {
	       sayet = ayets [j];
	       if (sayet.indexOf (fndx) >= 0x0000)
	       {
	           sb = new StringBuffer ();
		   sb.append (temp.getArabeName ());
		   sb.append (" ["+temp.getEspanolName ()+"]");
		   sb.append (" --> "+temp.getSureNo ()+":");
		   sb.append (""+j+";");
		   sb.append ("\n---------------\n");

                   if (konsol == false)
		   {
		       try
		       {
		           doc.insertString (
			      doc.getLength (), 
			      sb.toString (), 
			      stm1);
		       }
		       catch (Exception e)
		       {}
		   }
		   else
		   {
		       System.out.println (sb.toString ());
		   }
		   
		   sb = new StringBuffer ();
		   sb.append (sayet);
		   sb.append ("\n\n");
		   
		   if (konsol == false)
		   {
		       try
		       {
		           doc.insertString (
			       doc.getLength (), 
			       sb.toString (), 
			       stm2);
			   tp.setCaretPosition (doc.getLength ());
		       }
		       catch (Exception e)
		       {}
		   }
		   else
		   {
		       System.out.println (sb.toString ());
		   }
	       }
	       
	       if (stopped)
	       {
	           return;
	       }
	    }
	}
	stopped = false;
	return;
    }
    
}
/***************/
