/*
 * @(#) Sure110.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure110
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure110 ()
    {}

    private static final String [] ayts =
    {
        "#110=An-Nasr=El Auxilio=Medinesa=3",
        "1. Cuando venga el auxilio de Al\u00E1, as\u00EDcomo el \u00E9xito,",
        "2. y veas que los hombres entran enmasa en la religi\u00F3n de Al\u00E1,",
        "3. entonces, \u00A1celebra las alabanzas detu Se\u00F1or y pide Su perd\u00F3n! Es indulgente.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 110;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "An-Nasr";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Auxilio";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 3;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "110: An-Nasr";
    }

}//class end
