/*
 * @(#) Sure55.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure55
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure55 ()
    {}

    private static final String [] ayts =
    {
        "#55=Ar-Rahm\u00E1n=El Compasivo=Mecana|Medinesa=78",
        "1. El Compasivo",
        "2. ha ense\u00F1ado el Cor\u00E1n.",
        "3. Ha creado al hombre,",
        "4. le ha ense\u00F1ado a explicar.",
        "5. El sol y la luna, para c\u00F3mputo.",
        "6. Las hierbas y los \u00E1rboles seprosternan.",
        "7. Ha elevado el cielo. Ha establecidola balanza",
        "8. para que no falt\u00E9is al peso,",
        "9. sino que deis la pesada equitativa,sin defraudar en el peso.",
        "10. La tierra la ha puesto al servicio delas criaturas.",
        "11. Hay en ella fruta y palmeras defruto recubierto,",
        "12. grano de vaina, plantasarom\u00E1ticas.",
        "13. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "14. Cre\u00F3 al hombre de arcilla, como lacer\u00E1mica;",
        "15. y cre\u00F3 a los genios de fuego puro.",
        "16. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "17. Se\u00F1or de los dos Orientes y Se\u00F1orde los dos Occidentes.",
        "18. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "19. Ha dejado fluir las dos grandesmasas de agua, que se encuentran,",
        "20. pero las separa una barrera queno rebasan.",
        "21. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "22. De ambas provienen la perla y elcoral.",
        "23. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "24. Suyas son las embarcaciones, quesobresalen en el mar como mojones.",
        "25. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "26. Todo aqu\u00E9l que est\u00E1 sobre ella esperecedero.",
        "27. Pero subsiste tu Se\u00F1or, elMajestuoso y Honorable",
        "28. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "29. Los que est\u00E1n en los cielos y en latierra Le imploran. Siempre est\u00E1 ocupado en algo.",
        "30. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "31. Nos ocuparemos detenidamentede vosotros, dos cargas.",
        "32. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "33. \u00A1Compa\u00F1\u00EDa de genios y dehombres! \u00A1Atravesad, si pod\u00E9is, las regiones celestiales y terrestres! Pero no podr\u00E9is atravesarlas sin ayuda de una autoridad...",
        "34. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "35. Ser\u00E1n lanzadas contra vosotrosllamaradas de fuego sin humo y de bronce fundido, y no podr\u00E9is defenderos.",
        "36. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "37. Cuando el cielo se hienda y se ti\u00F1ade rojo cori\u00E1ceo,",
        "38. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "39. ese d\u00EDa, ni los hombres ni losgenios ser\u00E1n interrogados acerca de su pecado.",
        "40. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "41. Los pecadores ser\u00E1n reconocidospor sus rasgos y se les coger\u00E1 por el copete y por los pies.",
        "42. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "43. \u00A1\u00C9sa es la gehena que lospecadores desment\u00EDan!",
        "44. No parar\u00E1n de ir y venir entre ellay el agua muy caliente.",
        "45. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "46. Para quien, en cambio, hayatemido comparecer ante su Se\u00F1or, habr\u00E1 dos jardines",
        "47. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "48. frondosos,",
        "49. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "50. con dos fuentes manando.",
        "51. -\u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "52. En ellos habr\u00E1 dos especies decada fruta.",
        "53. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "54. Estar\u00E1n reclinados en alfombrasforradas de brocado. Tendr\u00E1n a su alcance la fruta de los dos jardines.",
        "55. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "56. Estar\u00E1n en ellos las de recatadomirar, no tocadas hasta entonces por hombre ni genio,",
        "57. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "58. cual jacinto y coral.",
        "59. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "60. La retribuci\u00F3n del bien obrar \u00BFesotra que el mismo bien obrar?",
        "61. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "62. Adem\u00E1s de esos dos, habr\u00E1 otrosdos jardines,",
        "63. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "64. verdinegros,",
        "65. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "66. con dos fuentes abundantes.",
        "67. -\u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "68. En ambos habr\u00E1 fruta, palmeras ygranados,",
        "69. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "70. en ellos habr\u00E1 buenas, bellas,",
        "71. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "72. hur\u00EDes, retiradas en los pabellones,",
        "73. -\u00BFcu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?-",
        "74. no tocadas hasta entonces porhombre ni genio.",
        "75. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "76. Reclinados en cojines verdes ybellas alfombras.",
        "77. \u00BFCu\u00E1l, pues, de los beneficios devuestro Se\u00F1or negar\u00E9is?",
        "78. \u00A1Bendito sea el nombre de tuSe\u00F1or, el Majestuoso y Honorable!",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 55;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Ar-Rahm\u00E1n";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Compasivo";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana|Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 78;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "55: Ar-Rahm\u00E1n";
    }

}//class end
