/*
 * @(#) Sure77.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure77
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure77 ()
    {}

    private static final String [] ayts =
    {
        "#77=Al-Mursal\u00E1t=Los Enviados=Mecana=50",
        "1. \u00A1Por los enviados en r\u00E1fagas!",
        "2. \u00A1Por los que soplan violentamente!",
        "3. \u00A1Por los que diseminan en todos lossentidos!",
        "4. \u00A1Por los que distinguen claramente!",
        "5. \u00A1Por los que lanzan unaamonestaci\u00F3n",
        "6. a modo de excusa o deadvertencia!",
        "7. \u00A1Ciertamente, aquello con que se osamenaza se cumplir\u00E1!",
        "8. Cuando las estrellas pierden su luz,",
        "9. cuando el cielo se hienda,",
        "10. cuando las monta\u00F1as seanreducidas a polvo,",
        "11. cuando se fije a los enviados sutiempo:",
        "12. \u00AB\u00BFQu\u00E9 d\u00EDa comparecer\u00E1n?\u00BB",
        "13. \u00AB\u00A1El d\u00EDa del Fallo!\u00BB",
        "14. Y \u00BFc\u00F3mo sabr\u00E1s qu\u00E9 es el d\u00EDa delFallo?",
        "15. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "16. \u00BFNo hemos hecho que perecieranlos primeros hombres",
        "17. y, luego, que les siguieran los\u00FAltimos?",
        "18. As\u00ED haremos con los pecadores.",
        "19. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "20. \u00BFNo os hemos creado de unl\u00EDquido vil,",
        "21. que hemos depositado en unrecept\u00E1culo seguro,",
        "22. durante un tiempo determinado?",
        "23. As\u00ED lo hemos decidido y \u00A1qu\u00E9 bienque lo hemos decidido!",
        "24. Ese d\u00EDa \u00A1ay de los desmentidores!",
        "25. \u00BFNo hemos hecho de la tierralugar de reuni\u00F3n",
        "26. de vivos y muertos,",
        "27. y puesto en ella elevadasmonta\u00F1as? \u00BFNo os hemos dado de beber un agua dulce?",
        "28. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "29. \u00AB\u00A1Id a lo que desment\u00EDais!",
        "30. \u00A1Id a la sombra ramificada en tres,",
        "31. sombra tenue, sombra in\u00FAtil frentea la llama!\u00BB",
        "32. Porque arroja chispas grandescomo palacios,",
        "33. chispas que semejan camellosleonados.",
        "34. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "35. \u00C9se ser\u00E1 un d\u00EDa en que no tendr\u00E1nque decir",
        "36. ni se les permitir\u00E1 excusarse.",
        "37. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "38. \u00AB\u00C9ste es el d\u00EDa del Fallo. Oshemos reunido, a vosotros y a los antiguos.",
        "39. Si dispon\u00E9is de alguna artima\u00F1a,\u00A1empleadla contra m\u00ED\u00BB",
        "40. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "41. Los temerosos de Al\u00E1 estar\u00E1n a lasombra y entre fuentes,",
        "42. y tendr\u00E1n la fruta que deseen.",
        "43. \u00AB\u00A1Comed y bebed en paz el frutode vuestras obras!\u00BB",
        "44. As\u00ED retribuimos a quienes hacen elbien.",
        "45. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "46. \u00AB\u00A1Comed y disfrutad a\u00FAn un poco!,\u00A1Sois unos pecadores!\u00BB",
        "47. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "48. Cuando se les dice: \u00AB\u00A1Inclinaos!\u00BB,no se inclinan.",
        "49. Ese d\u00EDa, \u00A1ay de los desmentidores!",
        "50. \u00BFEn qu\u00E9 anuncio, despu\u00E9s de\u00E9ste, van a creer?",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 77;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Mursal\u00E1t";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "Los Enviados";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 50;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "77: Al-Mursal\u00E1t";
    }

}//class end
