/*
 * @(#) Sure88.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure88
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure88 ()
    {}

    private static final String [] ayts =
    {
        "#88=Al-Gh\u00E1chiyah=La que Cubre=Mecana=26",
        "1. \u00BFTe has enterado de la historia dela que cubre?",
        "2. Ese d\u00EDa, unos rostros, humillados,",
        "3. preocupados, cansados,",
        "4. arder\u00E1n en un fuego abrasador.",
        "5. Se les dar\u00E1 de beber de una fuentehirviente.",
        "6. No tendr\u00E1n m\u00E1s alimento que dedari,",
        "7. que no engorda, ni sacia.",
        "8. Otros rostros, ese d\u00EDa, estar\u00E1nalegres,",
        "9. satisfechos de su esfuerzo,",
        "10. en un Jard\u00EDn elevado,",
        "11. en el que no se oir\u00E1 vaniloquio.",
        "12. Habr\u00E1 all\u00ED una fuente caudalosa,",
        "13. lechos elevados,",
        "14. copas preparadas,",
        "15. cojines alineados",
        "16. y alfombras extendidas.",
        "17. \u00BFEs que no consideran c\u00F3mo hansido creados los cam\u00E9lidos,",
        "18. c\u00F3mo alzado el cielo,",
        "19. c\u00F3mo erigidas las monta\u00F1as,",
        "20. c\u00F3mo extendida la tierra?",
        "21. \u00A1Amonesta, pues! T\u00FA eres s\u00F3lo unmonitor,",
        "22. no tienes autoridad sobre ellos.",
        "23. Sin embargo, a quien se desv\u00EDe yno crea,",
        "24. Al\u00E1 le infligir\u00E1 el castigo mayor.",
        "25. Volver\u00E1n todos a Nosotros.",
        "26. Luego, nos tocar\u00E1 a Nosotrospedirles cuentas.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 88;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Gh\u00E1chiyah";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "La que Cubre";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 26;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "88: Al-Gh\u00E1chiyah";
    }

}//class end
