/*
 * @(#) Sure89.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure89
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure89 ()
    {}

    private static final String [] ayts =
    {
        "#89=Al-Fayr=El Alba=Mecana=30",
        "1. \u00A1Por el alba!",
        "2. \u00A1Por diez noches!",
        "3. \u00A1Por el par y el impar!",
        "4. \u00A1Por la noche cuando transcurre...!",
        "5. \u00BFNo es esto un juramento para eldotado de intelecto?",
        "6. \u00BFNo has visto c\u00F3mo ha obrado tuSe\u00F1or con los aditas,",
        "7. con Iram, la de las columnas,",
        "8. sin par en el pa\u00EDs,",
        "9. con los tamudeos, que excavaron laroca en el valle,",
        "10. con Fara\u00F3n el de las estacas,",
        "11. que se hab\u00EDan excedido en el pa\u00EDs",
        "12. y que hab\u00EDan corrompido tanto en\u00E9l?",
        "13. Tu Se\u00F1or descarg\u00F3 sobre ellos elazote de un castigo.",
        "14. Tu Se\u00F1or est\u00E1, s\u00ED, al acecho.",
        "15. El hombre, cuando su Se\u00F1or leprueba honr\u00E1ndolo y concedi\u00E9ndole gracias, dice: \u00AB\u00A1Mi Se\u00F1or me ha honrado!\u00BB",
        "16. En cambio, cuando le pruebarestringi\u00E9ndole su sustento, dice: \u00AB\u00A1Mi Se\u00F1or me ha despreciado!\u00BB",
        "17. \u00A1No! Sois vosotros, m\u00E1s bien, losque no honr\u00E1is al hu\u00E9rfano,",
        "18. ni os anim\u00E1is unos a otros aalimentar al pobre,",
        "19. sino que devor\u00E1is vorazmente laherencia y",
        "20. am\u00E1is la hacienda condesordenado amor.",
        "21. \u00A1No! Cuando la Tierra seareducida a polvo fino",
        "22. y venga tu Se\u00F1or con los \u00E1ngelesen filas,",
        "23. ese d\u00EDa se traer\u00E1 la gehena, esed\u00EDa el hombre se dejar\u00E1 amonestar -y \u00BFde qu\u00E9 le servir\u00E1 entonces la amonestaci\u00F3n?-",
        "24. y dir\u00E1: \u00AB\u00A1Ojal\u00E1 hubiera enviado pordelante para mi vida!\u00BB",
        "25. Ese d\u00EDa nadie castigar\u00E1 como \u00C9l,",
        "26. nadie atar\u00E1 como \u00C9l.",
        "27. \u00AB\u00A1Alma sosegada!",
        "28. \u00A1Vuelve a tu Se\u00F1or, satisfecha,acepta!",
        "29. \u00A1Y entra con Mis siervos,",
        "30. entra en Mi Jard\u00EDn!\u00BB",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 89;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Al-Fayr";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Alba";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Mecana";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 30;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "89: Al-Fayr";
    }

}//class end
