/*
 * @(#) Sure99.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure99
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure99 ()
    {}

    private static final String [] ayts =
    {
        "#99=Az-Zalzalah=El Terremoto=Medinesa=8",
        "1. Cuando sea sacudida la tierra porsu terremoto,",
        "2. expulse la tierra su carga",
        "3. y el hombre se pregunte: \u00AB\u00BFQu\u00E9 eslo que le pasa?\u00BB,",
        "4. ese d\u00EDa contar\u00E1 sus noticias,",
        "5. seg\u00FAn lo que tu Se\u00F1or le inspire.",
        "6. Ese d\u00EDa los hombres surgir\u00E1n engrupos, para que se les muestren sus obras.",
        "7. Quien haya hecho el peso de un\u00E1tomo de bien, lo ver\u00E1.",
        "8. Y quien haya hecho el peso de un\u00E1tomo de mal, lo ver\u00E1.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 99;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "Az-Zalzalah";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Terremoto";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 8;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "99: Az-Zalzalah";
    }

}//class end
